{ config, ... }:
{
  imports = [
    ./hardware

    # Apps and programs
    ../../../modules/system
    ../../../modules/system/accounts
    ../../../modules/system/devices/filesystems
    ../../../modules/system/devices/boot/systemd
    ../../../modules/system/devices/networking
    ../../../modules/system/devices/networking/firewall/pc
    ../../../modules/system/devices/networking/wireguard/pc
    ../../../modules/system/programs/git
    ../../../modules/system/programs/security
    ../../../modules/system/services/common
    ../../../modules/system/services/server/mailserver/simplenix

    # Misc
    ../../../overlays
    ../../../variables
  ];

  networking.hostName = "bomberman";
  networking.wireguard.interfaces."${config.ips.wgInt}".ips = [ "${config.ips.wgSpan}.19/24" ];
}
