{ config, lib, pkgs, modulesPath, ... }:
{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot = {
    initrd = {
      availableKernelModules = [
        "xhci_pci"
        "ahci"
        "ehci_pci"
        "sd_mod"
        "sr_mod"
        "sdhci_pci"
        "rtsx_usb_sdmmc"
      ];
    };
    kernelModules = [ "kvm-amd" ];
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/c0fe8419-88f9-48a0-8c5b-acd4c11f8037";
      fsType = "ext4";
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/BF2B-9AE0";
      fsType = "vfat";
      options = [ "fmask=0022" "dmask=0022" ];
    };
    "/home/jimbo/JimboNFS" = {
      device = "${config.ips.wgSpan}.1:/export/JimboNFS";
      fsType = "nfs4";
      options = ["x-systemd.automount" "_netdev" "nofail" "noauto"];
    };
  };

  networking.useDHCP = lib.mkDefault true;
  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
